import java.io.FileReader;
import java.io.PrintWriter;
import java.util.Scanner;

public class Star {
	public static void main(String[] args) throws Exception
	{
		new Star().solve();
	}

	Scanner in = null;
	PrintWriter out = null;
	int[] dr = new int[] {0, 1, 0, -1};
	int[] dc = new int[] {1, 0, -1, 0};
	
	private void solve() throws Exception
	{
		in = new Scanner(new FileReader("star.in"));
		//out = new PrintWriter("star.out");
		out = new PrintWriter(System.out);
		
		int testn = in.nextInt();
		
		for (int testi = 0; testi < testn; testi++)
		{
			int n = in.nextInt();
			if (n < 1 || n > 300)
				throw new Exception("Assert!!!");
			int m = in.nextInt();
			if (m < 1 || m > 300)
				throw new Exception("Assert!!!");

			in.nextLine();
			char[][] a = new char[n][m];
			for (int i = 0; i < n; i++)
			{
				String str = in.nextLine();
				if (str.length() != m)
					throw new Exception("Assert!!!");
				for (int j = 0; j < m; j++)
				{
					char c = str.charAt(j);
					if (c != '.' && c != '*')
						throw new Exception("Assert!!!");	
				}
				a[i] = str.toCharArray();
			}
			
			int ans = 0;
			for (int i = 0; i < n; i++)
			{
				for (int j = 0; j < m; j++)
				{
					if (a[i][j] == '*')
					{
						int[] row = new int[n*m];
						int[] col = new int[n*m];
						
						ans++;
						
						int left = 0;
						int right = 1;
						row[0] = i;
						col[0] = j;
						a[i][j] = '-';
						while (left < right)
						{
							int rr = row[left];
							int cc = col[left];
							left++;
							
							for (int k = 0; k < 4; k++)
							{
								int curr = rr + dr[k];
								int curc = cc + dc[k];
								if (curr >= 0 && curr < n && curc >= 0 && curc < m && a[curr][curc] =='*')
								{
									a[curr][curc] = '-';
									row[right] = curr;
									col[right] = curc;
									right++;
								}
							}
						}
					}
				}
			}
			out.println(ans);
		}
		in.close();
		out.close();
	}
}
